Obtener Contacto por Telefono
curl --request GET \
--url https://api.plazbot.com/api/contact/searchByCellphone \
--header 'Authorization: Bearer <token>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.plazbot.com/api/contact/searchByCellphone"
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-workspace-id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.plazbot.com/api/contact/searchByCellphone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"cellphone": "<string>",
"data": [
{
"id": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"assignedAgentId": "<string>",
"assignedAgentName": "<string>",
"segmentationId": "<string>",
"lastMessage": "<string>",
"lastMessageDate": "2023-11-07T05:31:56Z",
"platformSenderId": "<string>",
"platformSenderName": "<string>",
"platformSenderPhone": "<string>",
"platformSenderEmail": "<string>",
"isRead": true,
"isBotEnabled": true,
"isManuallyAdded": true,
"avatarColor": "<string>",
"orderInCards": 123,
"orderInCardsLastUpdated": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"assignmentDate": "2023-11-07T05:31:56Z"
}
],
"customFields": [
{
"code": "<string>",
"value": "<string>"
}
],
"files": [
"<string>"
],
"isSolved": true,
"workspaceId": "<string>",
"name": "<string>",
"lastname": "<string>",
"email": "<string>",
"platformId": 123,
"stageId": "<string>",
"internalWhatsappNumber": "<string>",
"blocked": true
}
]
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}Contact
Get Contact By Phone
Servicio que retorna la informacion de un contacto filtrado por numero de celular (campo internalWhatsappNumber).
GET
/
api
/
contact
/
searchByCellphone
Obtener Contacto por Telefono
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Headers
Identificador del workspace
Example:
"ws_a1b2c3d4"
Query Parameters
Numero de celular del contacto (ej: 57123456789)
Example:
"51987654321"
Identificador del workspace
Example:
"ws_a1b2c3d4"
Response
Contacto obtenido exitosamente

